#!/bin/bash

cd $(dirname ${0})
ROOT=$(pwd)

# Update pkgconfig files
ESC_ROOT=$(echo "${ROOT}" | sed 's/\//\\\//g')
for pc in lib/pkgconfig/*.pc; do
	if [ -L $pc ]; then
		# Skip symlinks
		continue
	fi

	cat $pc | sed 's/^prefix=.*/prefix=\"'$ESC_ROOT'\"/' > tmp
	mv tmp $pc
done

# Write build environment setup file
SETUP_SCRIPT="buildenv.sh"
echo "ROOT=\"$ROOT\"" > $SETUP_SCRIPT
echo 'export BOOST_I="${ROOT}/BoostBuilds/1.49.0/include"' >> $SETUP_SCRIPT
echo 'export BOOST_L="${ROOT}/BoostBuilds/1.49.0/lib/linux64"' >> $SETUP_SCRIPT
echo 'export OPENAL_I="${ROOT}/include/AL"' >> $SETUP_SCRIPT
echo 'export OPENAL_L="${ROOT}/lib/libopenal.so"' >> $SETUP_SCRIPT
echo 'export PKG_CONFIG_PATH="${ROOT}/lib/pkgconfig:$PKG_CONFIG_PATH"' >> $SETUP_SCRIPT
# Fix due to BoostBuilds using old ABI, for cmake
echo 'export CXXFLAGS="-D_GLIBCXX_USE_CXX11_ABI=0"' >> $SETUP_SCRIPT
echo 'export LD_LIBRARY_PATH="${ROOT}/lib"' >> $SETUP_SCRIPT
